package library

import android.content.Context
import android.os.Build
import com.bearya.kids.BuildConfig
import com.tencent.bugly.Bugly
import com.tencent.bugly.BuglyStrategy

object BuglyComponent {

    fun init(context: Context) {
        // 开发设备设置
        Bugly.setIsDevelopmentDevice(context, BuildConfig.DEBUG)
        Bugly.init(context, BuildConfig.BuglyAppKey, BuildConfig.DEBUG, BuglyStrategy().apply { appVersion = BuildConfig.VERSION_NAME })
        Bugly.setUserId(context, Build.SERIAL)
    }

}